<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>AppRoutingModule</li>
</ol>


<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/app-routing.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">/**************************************************************************************************
 *                                                                                                *
 *  - #%L                                                                                         *
 *  - CHVote-Receiver                                                                             *
 *  - %%                                                                                          *
 *  - Copyright (C) 2016 - 2018 République et Canton de Genève                                    *
 *  - %%                                                                                          *
 *  - This program is free software: you can redistribute it and/or modify                        *
 *  - it under the terms of the GNU Affero General Public License as published by                 *
 *  - the Free Software Foundation, either version 3 of the License, or                           *
 *  - (at your option) any later version.                                                         *
 *  -                                                                                             *
 *  - This program is distributed in the hope that it will be useful,                             *
 *  - but WITHOUT ANY WARRANTY; without even the implied warranty of                              *
 *  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                *
 *  - GNU General Public License for more details.                                                *
 *  -                                                                                             *
 *  - You should have received a copy of the GNU Affero General Public License                    *
 *  - along with this program. If not, see &lt;http://www.gnu.org/licenses/&gt;.                        *
 *  - #L%                                                                                         *
 *                                                                                                *
 **************************************************************************************************/

import { NgModule } from &quot;@angular/core&quot;;
import { RouterModule, Routes } from &quot;@angular/router&quot;;
import { OperationComponent } from &quot;./operation/operation.component&quot;;
import { Step } from &#x27;./operation/vote-workflow-display/vote-workflow-view.component&#x27;;
import { TranslationResolver } from &#x27;./operation/translation.resolver&#x27;;
import { IdentificationComponent } from &#x27;./operation/1-identification/identification.component&#x27;;
import { LegalInformationComponent } from &#x27;./operation/2-legal-information/legal-information.component&#x27;;
import { BallotsListComponent } from &#x27;./operation/3-ballots-list/ballots-list.component&#x27;;
import { SummaryComponent } from &quot;./operation/4-summary/summary.component&quot;;
import { ControlComponent } from &#x27;./operation/5-control/control.component&#x27;;
import { FinalizationComponent } from &#x27;./operation/6-finalization/finalization.component&#x27;;
import { VotationBallotComponent } from &#x27;./operation/3-ballots-list/votation-ballot/votation-ballot.component&#x27;;
import { ErrorMessageComponent } from &#x27;./core/error-message/error-message.component&#x27;;
import { OperationResolver } from &#x27;./operation/operation.resolver&#x27;;

export const routes: Routes &#x3D; [
  {
    path: &quot;error/:canton/:operation/:lang&quot;,
    component: ErrorMessageComponent,
    resolve: {
      i18nReady: TranslationResolver
    }
  },
  {
    path: &#x27;:canton/:operation/:lang&#x27;,
    component: OperationComponent,
    resolve: {
      i18nReady: TranslationResolver,
      operation: OperationResolver
    },
    children: [
      {
        path: &#x27;identification&#x27;,
        component: IdentificationComponent,
        data: {
          step: &quot;identification&quot;
        },
      },
      {
        path: &#x27;legalInformation&#x27;,
        component: LegalInformationComponent,
        data: {
          step: &quot;legal-information&quot;
        }
      },
      {
        path: &#x27;ballotsList&#x27;,
        component: BallotsListComponent,
        data: {
          step: &#x27;ballot-list&#x27;
        }
      },
      {
        path: &#x27;votationBallot&#x27;,
        component: VotationBallotComponent,
        data: {
          step: &#x27;ballot-list&#x27;
        }
      },
      {
        path: &#x27;votationBallot/:domainOfInfluence&#x27;,
        component: VotationBallotComponent,
        data: {
          step: &#x27;ballot-list&#x27;
        }
      },
      {
        path: &#x27;summary&#x27;,
        component: SummaryComponent,
        data: {
          step: &#x27;summary&#x27;
        }
      },
      {
        path: &#x27;control&#x27;,
        component: ControlComponent,
        data: {
          step: &#x27;control&#x27;
        }
      },
      {
        path: &#x27;finalization&#x27;,
        component: FinalizationComponent,
        data: {
          step: &#x27;finalization&#x27;
        }
      },
      {
        path: &#x27;&#x27;,
        redirectTo: &quot;identification&quot;,
        pathMatch: &quot;full&quot;
      },

    ]
  }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})

export class AppRoutingModule {
}
</code></pre>
    </div>
</div>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'AppRoutingModule.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
